List bank transactions

Returns a list of bank transactions for a subaccount. Bank transactions are synced from connected financial institutions. A movement may briefly appear as its pending posting until the posted transaction replaces it (the pending row is then removed from the feed).

By default, GET /bank-transactions/{subaccountId} returns transactions ordered by the latest date.

This endpoint supports cursor-based pagination and various filters including date range, amount range, and match status.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
Query Params
uuid

Filter by bank account identifier

uuid
date

Filter results from this date (inclusive), in YYYY-MM-DD format

date

Filter results up to this date (inclusive), in YYYY-MM-DD format

number

Filter transactions with an amount greater than or equal to this value

number

Filter transactions with an amount less than or equal to this value

string
enum

Filter bank transactions by transaction type

Allowed:
string
enum

Filter bank transactions by match status. Set to true to return only matched transactions, or false for unmatched.

Allowed:
string
enum

Filter transactions by source.

Allowed:
uuid

Filter transactions by the statement they were imported from.

integer
1 to 1000
Defaults to 250

Maximum number of items to return

string

The cursor to use for pagination. Identifies your place on the list

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json